Module java.desktop
Package javax.swing.event

# Interface MenuListener

All Superinterfaces:
  `EventListener`

public interface MenuListener extends EventListener
Defines a listener for menu events.

## Method Summary

Modifier and Type
Method
Description
`void`
`menuCanceled(MenuEvent e)`
Invoked when the menu is canceled.
`void`
`menuDeselected(MenuEvent e)`
Invoked when the menu is deselected.
`void`
`menuSelected(MenuEvent e)`
Invoked when a menu is selected.

## Method Details

### menuSelected

void menuSelected(MenuEvent e)
Invoked when a menu is selected.

Parameters:
  `e` - a MenuEvent object

### menuDeselected

void menuDeselected(MenuEvent e)
Invoked when the menu is deselected.

Parameters:
  `e` - a MenuEvent object

### menuCanceled

void menuCanceled(MenuEvent e)
Invoked when the menu is canceled.

Parameters:
  `e` - a MenuEvent object